LibreOffice: XLibraryContainerExport Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XLibraryContainerExport Interface Reference

Extension of XLibraryContainer to provide functionality to store a library to a location represented by a URL. More...

`import "XLibraryContainerExport.idl";`

Inheritance diagram for XLibraryContainerExport:

## Public Member Functions
void | exportLibrary ([in] string Name, [in] string URL, [in] com::sun::star::task::XInteractionHandler Handler) raises ( com::sun::star::uno::Exception, com::sun::star::container::NoSuchElementException )
| Exports a library specified by Name to the location specified by the passed URL string.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Extension of XLibraryContainer to provide functionality to store a library to a location represented by a URL.

## Member Function Documentation

## ◆ exportLibrary()

void exportLibrary | ( | [in] string | Name,
|  | [in] string | URL,
|  | [in] com::sun::star::task::XInteractionHandler | Handler )
raises | ( | com::sun::star::uno::Exception,
|  | com::sun::star::container::NoSuchElementException ) |  |  |

Exports a library specified by Name to the location specified by the passed URL string.

An interaction handler can be passed to be used for internal ucb operations. Exceptions not processed by this handler will be passed as com::sun::star::uno::Exception. If this parameter is null this applies to all exceptions thrown by ucb.

See also
  com::sun::star::task::InteractionHandler

If a library with the this name doesn't exist a com::sun::star::container::NoSuchElementException is thrown.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XLibraryContainerExport.idl